Name:		perl-Convert-BinHex
Version:	1.125
Release:    1%{?dist}
Summary:	Convert to/from RFC1741 HQX7 (Mac BinHex)
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Convert-BinHex
Source0:	https://cpan.metacpan.org/modules/by-module/Convert/Convert-BinHex-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Fcntl)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(FileHandle)
BuildRequires:	perl(Getopt::Std)
BuildRequires:	perl(integer)
BuildRequires:	perl(POSIX)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
BuildRequires:	perl(autodie)
BuildRequires:	perl(File::Compare)
BuildRequires:	perl(File::Slurp)
BuildRequires:	perl(File::Temp) >= 0.17
BuildRequires:	perl(FindBin)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::Builder) >= 0.65
BuildRequires:	perl(Test::CPAN::Changes)
BuildRequires:	perl(Test::More) >= 0.96
BuildRequires:	perl(Test::Most)
BuildRequires:	perl(Test::Pod) >= 1.00

%global __requires_exclude ^perl\\(Mac::Files\\)

%description
Convert::BinHex extracts data from Macintosh BinHex files.

%prep
%setup -q -n Convert-BinHex-%{version}

perl -pi -e 's/^use lib .*$//' bin/*.pl

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test RELEASE_TESTING=1
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"

%files
%license COPYING LICENSE
%doc Changes README*
%{_bindir}/binhex.pl
%{_bindir}/debinhex.pl
%{perl_vendorlib}/Convert/
%{_mandir}/man1/binhex.pl.1*
%{_mandir}/man1/debinhex.pl.1*
%{_mandir}/man3/Convert::BinHex.3*

%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.125-1
- initial build
